Subject: Re: CCL:Autodock compile

From: scopio <scopio*at*163.com>
Date: Fri, 11 Jun 2004 08:16:58 +0800

Dear Yang

You need g++ to compile autodock. You can replace your C++ part in your 
makefile with the following:
----------
CC        = pgCC  # change this to g++
LIB       = -lm
CSTD      = -DHPPA $(PROF) $(DBUG) $(WARN)
CFLAGS    = $(OPT)
OPTLEVEL  = -O3
OPT       = $(CSTD) $(OPTLEVEL)
OLIMIT    = $(OPT)
LINKOPT   = $(OPT)
LINK      = $(LINKOPT)
LINT      = lint
LINTFLAGS = -DHPPA $(LIB) -c
DBUG      = -DNDEBUG # No debugging and no assert code
PROF      = # No profiling
WARN      = # Default warning level
---------------
If this can't pass compliation, you can try ifc8.0.

Good Luck!

Liu

Yong Liang Yang wrote:

>
> Dear CCL users:
>
> I am a newbie to Autodock and I have some troubles to compile
> the /src/autodock and /src/protonate subprogram. We do not have
> CC and F77 compiler so we use GNU compiler. However, when I try
> to compile /protonate and type " make " , it still complains can
> not find F77 compiler. And when I try to compile /autodock, it complains
> " ld32: error 33 : unresolved text symbol, operator new (unsigned)
> --1st reference by main.o " (I did change the corresponding part in 
> Makefile CC=gcc before I tried to compile it). I hope computer gurus
> or Autodock gurus could help me fix this problem. Many thanks in
> advance!!
>
>
> Cheers
>
>
>
> Yong.L.Y
>
>
> ^V
>
>
>
> -= This is automatically added to each message by the mailing script =-
> To send e-mail to subscribers of CCL put the string CCL: on your 
> Subject: line
> and send your message to:  CHEMISTRY*at*ccl.net
>
> Send your subscription/unsubscription requests to: 
> CHEMISTRY-REQUEST*at*ccl.net HOME Page: http://www.ccl.net   | Jobs Page: 
> http://www.ccl.net/jobs
> If your mail is bouncing from CCL.NET domain send it to the maintainer:
> Jan Labanowski,  jlabanow*at*nd.edu (read about it on CCL Home Page)
> -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>
>
>
>
>
>
>